View Issue Details

This bug affects 1 person(s).
 4
IDProjectCategoryView StatusLast Update
14812Bug reportsSurvey editingpublic2019-05-10 15:36
Reporterollehar Assigned Todominikvitt 
PrioritynoneSeverityblock 
Status closedResolutionfixed 
Product Version4.0.0dev 
Target Version4.0.0-betaFixed in Version4.0.0dev 
Summary14812: Exception when adding answer to quota
Description

See file.

Steps To Reproduce
  1. Add new quota
  2. Try add answer to quota
  3. Exception
TagsNo tags attached.
Bug heat4
Complete LimeSurvey version number (& build)4.0.0dev
I will donate to the project if issue is resolvedNo
Browser-
Database type & version-
Server OS (if known)-
Webserver software & version (if known)-
PHP Version-

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

ollehar

ollehar

2019-04-24 18:07

administrator  

CException.html (30,859 bytes)   
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" class="mozwebext" lang="en"><head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>CException</title>

<style type="text/css">
/*<![CDATA[*/
html,body,div,span,applet,object,iframe,h1,h2,h3,h4,h5,h6,p,blockquote,pre,a,abbr,acronym,address,big,cite,code,del,dfn,em,font,img,ins,kbd,q,s,samp,small,strike,strong,sub,sup,tt,var,b,u,i,center,dl,dt,dd,ol,ul,li,fieldset,form,label,legend,table,caption,tbody,tfoot,thead,tr,th,td{border:0;outline:0;font-size:100%;vertical-align:baseline;background:transparent;margin:0;padding:0;}
body{line-height:1;}
ol,ul{list-style:none;}
blockquote,q{quotes:none;}
blockquote:before,blockquote:after,q:before,q:after{content:none;}
:focus{outline:0;}
ins{text-decoration:none;}
del{text-decoration:line-through;}
table{border-collapse:collapse;border-spacing:0;}

body {
	font: normal 9pt "Verdana";
	color: #000;
	background: #fff;
}

h1 {
	font: normal 18pt "Verdana";
	color: #f00;
	margin-bottom: .5em;
}

h2 {
	font: normal 14pt "Verdana";
	color: #800000;
	margin-bottom: .5em;
}

h3 {
	font: bold 11pt "Verdana";
}

pre {
	font: normal 11pt Menlo, Consolas, "Lucida Console", Monospace;
}

pre span.error {
	display: block;
	background: #fce3e3;
}

pre span.ln {
	color: #999;
	padding-right: 0.5em;
	border-right: 1px solid #ccc;
}

pre span.error-ln {
	font-weight: bold;
}

.container {
	margin: 1em 4em;
}

.version {
	color: gray;
	font-size: 8pt;
	border-top: 1px solid #aaa;
	padding-top: 1em;
	margin-bottom: 1em;
}

.message {
	color: #000;
	padding: 1em;
	font-size: 11pt;
	background: #f3f3f3;
	-webkit-border-radius: 10px;
	-moz-border-radius: 10px;
	border-radius: 10px;
	margin-bottom: 1em;
	line-height: 160%;
}

.source {
	margin-bottom: 1em;
}

.code pre {
	background-color: #ffe;
	margin: 0.5em 0;
	padding: 0.5em;
	line-height: 125%;
	border: 1px solid #eee;
}

.source .file {
	margin-bottom: 1em;
	font-weight: bold;
}

.traces {
	margin: 2em 0;
}

.trace {
	margin: 0.5em 0;
	padding: 0.5em;
}

.trace.app {
	border: 1px dashed #c00;
}

.trace .number {
	text-align: right;
	width: 2em;
	padding: 0.5em;
}

.trace .content {
	padding: 0.5em;
}

.trace .plus,
.trace .minus {
	display:inline;
	vertical-align:middle;
	text-align:center;
	border:1px solid #000;
	color:#000;
	font-size:10px;
	line-height:10px;
	margin:0;
	padding:0 1px;
	width:10px;
	height:10px;
}

.trace.collapsed .minus,
.trace.expanded .plus,
.trace.collapsed pre {
	display: none;
}

.trace-file {
	cursor: pointer;
	padding: 0.2em;
}

.trace-file:hover {
	background: #f0ffff;
}
/*]]>*/
</style>
</head>

<body>
<div class="container">
	<h1>CException</h1>

	<p class="message">
		Property "Question.question" is not defined.	</p>

	<div class="source">
		<p class="file">/var/www/lime25/limesurvey/framework/db/ar/CActiveRecord.php(145)</p>
		<div class="code"><pre><span class="ln">133</span>      */
<span class="ln">134</span>     public function __get($name)
<span class="ln">135</span>     {
<span class="ln">136</span>         if(isset($this-&gt;_attributes[$name]))
<span class="ln">137</span>             return $this-&gt;_attributes[$name];
<span class="ln">138</span>         elseif(isset($this-&gt;getMetaData()-&gt;columns[$name]))
<span class="ln">139</span>             return null;
<span class="ln">140</span>         elseif(isset($this-&gt;_related[$name]))
<span class="ln">141</span>             return $this-&gt;_related[$name];
<span class="ln">142</span>         elseif(isset($this-&gt;getMetaData()-&gt;relations[$name]))
<span class="ln">143</span>             return $this-&gt;getRelated($name);
<span class="ln">144</span>         else
<span class="error"><span class="ln error-ln">145</span>             return parent::__get($name);
</span><span class="ln">146</span>     }
<span class="ln">147</span> 
<span class="ln">148</span>     /**
<span class="ln">149</span>      * PHP setter magic method.
<span class="ln">150</span>      * This method is overridden so that AR attributes can be accessed like properties.
<span class="ln">151</span>      * @param string $name property name
<span class="ln">152</span>      * @param mixed $value property value
<span class="ln">153</span>      * @throws CException
<span class="ln">154</span>      */
<span class="ln">155</span>     public function __set($name,$value)
<span class="ln">156</span>     {
<span class="ln">157</span>         if($this-&gt;setAttribute($name,$value)===false)
</pre></div>	</div>

	<div class="traces">
		<h2>Stack Trace</h2>
				<table style="width:100%;">
						<tbody><tr class="trace core collapsed">
			<td class="number">
				#0			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/framework/db/ar/CActiveRecord.php(145): <strong>CComponent</strong>-&gt;<strong>__get</strong>("question")				</div>

				<div class="code"><pre><span class="ln">140</span>         elseif(isset($this-&gt;_related[$name]))
<span class="ln">141</span>             return $this-&gt;_related[$name];
<span class="ln">142</span>         elseif(isset($this-&gt;getMetaData()-&gt;relations[$name]))
<span class="ln">143</span>             return $this-&gt;getRelated($name);
<span class="ln">144</span>         else
<span class="error"><span class="ln error-ln">145</span>             return parent::__get($name);
</span><span class="ln">146</span>     }
<span class="ln">147</span> 
<span class="ln">148</span>     /**
<span class="ln">149</span>      * PHP setter magic method.
<span class="ln">150</span>      * This method is overridden so that AR attributes can be accessed like properties.
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#1			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/framework/base/CModel.php(596): <strong>CActiveRecord</strong>-&gt;<strong>__get</strong>("question")				</div>

				<div class="code"><pre><span class="ln">591</span>      * @param integer $offset the offset to retrieve element.
<span class="ln">592</span>      * @return mixed the element at the offset, null if no element is found at the offset
<span class="ln">593</span>      */
<span class="ln">594</span>     public function offsetGet($offset)
<span class="ln">595</span>     {
<span class="error"><span class="ln error-ln">596</span>         return $this-&gt;$offset;
</span><span class="ln">597</span>     }
<span class="ln">598</span> 
<span class="ln">599</span>     /**
<span class="ln">600</span>      * Sets the element at the specified offset.
<span class="ln">601</span>      * This method is required by the interface ArrayAccess.
</pre></div>			</td>
		</tr>
						<tr class="trace app expanded">
			<td class="number">
				#2			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/application/views/admin/quotas/newanswer_view.php(26): <strong>CModel</strong>-&gt;<strong>offsetGet</strong>("question")				</div>

				<div class="code"><pre><span class="ln">21</span>                         &lt;div class='form-group'&gt;
<span class="ln">22</span>                             &lt;div class='col-sm-5 col-sm-offset-4'&gt;
<span class="ln">23</span>                                 &lt;select class='form-control' name="quota_qid" size="15"&gt;
<span class="ln">24</span>                                     &lt;?php foreach ($oQuota-&gt;survey-&gt;quotableQuestions as $questionlisting) { ?&gt;
<span class="ln">25</span>                                         &lt;option value="&lt;?php echo $questionlisting['qid'];?&gt;"&gt;
<span class="error"><span class="ln error-ln">26</span>                                             &lt;?php echo $questionlisting['title'];?&gt;: &lt;?php echo strip_tags(substr($questionlisting['question'],0,40));?&gt;
</span><span class="ln">27</span>                                         &lt;/option&gt;
<span class="ln">28</span>                                         &lt;?php } ?&gt;
<span class="ln">29</span>                                 &lt;/select&gt;
<span class="ln">30</span>                             &lt;/div&gt;
<span class="ln">31</span>                         &lt;/div&gt;
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#3			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/framework/web/CBaseController.php(126): <strong>require</strong>("/var/www/lime25/limesurvey/application/views/admin/quotas/newans...")				</div>

				<div class="code"><pre><span class="ln">121</span>             $data=$_data_;
<span class="ln">122</span>         if($_return_)
<span class="ln">123</span>         {
<span class="ln">124</span>             ob_start();
<span class="ln">125</span>             ob_implicit_flush(false);
<span class="error"><span class="ln error-ln">126</span>             require($_viewFile_);
</span><span class="ln">127</span>             return ob_get_clean();
<span class="ln">128</span>         }
<span class="ln">129</span>         else
<span class="ln">130</span>             require($_viewFile_);
<span class="ln">131</span>     }
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#4			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/framework/web/CBaseController.php(95): <strong>CBaseController</strong>-&gt;<strong>renderInternal</strong>("/var/www/lime25/limesurvey/application/views/admin/quotas/newans...",
 array("surveyid" =&gt; "386321", "iSurveyId" =&gt; "386321", 
"sBaseLang" =&gt; "en", "aLangs" =&gt; array("en", "fr"), ...), true)			
	</div>

				<div class="code"><pre><span class="ln">090</span>     {
<span class="ln">091</span>         $widgetCount=count($this-&gt;_widgetStack);
<span class="ln">092</span>         if(($renderer=Yii::app()-&gt;getViewRenderer())!==null &amp;&amp; $renderer-&gt;fileExtension==='.'.CFileHelper::getExtension($viewFile))
<span class="ln">093</span>             $content=$renderer-&gt;renderFile($this,$viewFile,$data,$return);
<span class="ln">094</span>         else
<span class="error"><span class="ln error-ln">095</span>             $content=$this-&gt;renderInternal($viewFile,$data,$return);
</span><span class="ln">096</span>         if(count($this-&gt;_widgetStack)===$widgetCount)
<span class="ln">097</span>             return $content;
<span class="ln">098</span>         else
<span class="ln">099</span>         {
<span class="ln">100</span>             $widget=end($this-&gt;_widgetStack);
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#5			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/framework/web/CController.php(872): <strong>CBaseController</strong>-&gt;<strong>renderFile</strong>("/var/www/lime25/limesurvey/application/views/admin/quotas/newans...",
 array("surveyid" =&gt; "386321", "iSurveyId" =&gt; "386321", 
"sBaseLang" =&gt; "en", "aLangs" =&gt; array("en", "fr"), ...), true)			
	</div>

				<div class="code"><pre><span class="ln">867</span>      */
<span class="ln">868</span>     public function renderPartial($view,$data=null,$return=false,$processOutput=false)
<span class="ln">869</span>     {
<span class="ln">870</span>         if(($viewFile=$this-&gt;getViewFile($view))!==false)
<span class="ln">871</span>         {
<span class="error"><span class="ln error-ln">872</span>             $output=$this-&gt;renderFile($viewFile,$data,true);
</span><span class="ln">873</span>             if($processOutput)
<span class="ln">874</span>                 $output=$this-&gt;processOutput($output);
<span class="ln">875</span>             if($return)
<span class="ln">876</span>                 return $output;
<span class="ln">877</span>             else
</pre></div>			</td>
		</tr>
						<tr class="trace app expanded">
			<td class="number">
				#6			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/application/core/Survey_Common_Action.php(267): <strong>CController</strong>-&gt;<strong>renderPartial</strong>("/admin/quotas/newanswer_view",
 array("surveyid" =&gt; "386321", "iSurveyId" =&gt; "386321", 
"sBaseLang" =&gt; "en", "aLangs" =&gt; array("en", "fr"), ...), true)			
	</div>

				<div class="code"><pre><span class="ln">262</span>         // Load views
<span class="ln">263</span>         $content = "";
<span class="ln">264</span>         foreach ($aViewUrls as $sViewKey =&gt; $viewUrl) {
<span class="ln">265</span>             if (empty($sViewKey) || !in_array($sViewKey, array('message', 'output'))) {
<span class="ln">266</span>                 if (is_numeric($sViewKey)) {
<span class="error"><span class="ln error-ln">267</span>                     $content .= Yii::app()-&gt;getController()-&gt;renderPartial($sViewPath.$viewUrl, $aData, true);
</span><span class="ln">268</span>                 } elseif (is_array($viewUrl)) {
<span class="ln">269</span>                     foreach ($viewUrl as $aSubData) {
<span class="ln">270</span>                         $aSubData = array_merge($aData, $aSubData);
<span class="ln">271</span>                         $content .= Yii::app()-&gt;getController()-&gt;renderPartial($sViewPath.$sViewKey, $aSubData, true);
<span class="ln">272</span>                     }
</pre></div>			</td>
		</tr>
						<tr class="trace app expanded">
			<td class="number">
				#7			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/application/core/Survey_Common_Action.php(345): <strong>Survey_Common_Action</strong>-&gt;<strong>renderCentralContents</strong>("quotas",
 array("newanswer_view"), array("surveyid" =&gt; "386321", "iSurveyId" 
=&gt; "386321", "sBaseLang" =&gt; "en", "aLangs" =&gt; array("en", 
"fr"), ...))				</div>

				<div class="code"><pre><span class="ln">340</span>             }
<span class="ln">341</span>         } else {
<span class="ln">342</span>             $renderFile = $basePath.'/'.$sRenderFile;
<span class="ln">343</span>         }
<span class="ln">344</span> 
<span class="error"><span class="ln error-ln">345</span>         $content = $this-&gt;renderCentralContents($sAction, $aViewUrls, $aData);
</span><span class="ln">346</span>         $out = $this-&gt;renderInternal($renderFile, ['content' =&gt; $content, 'aData' =&gt; $aData], true);
<span class="ln">347</span> 
<span class="ln">348</span>         App()-&gt;getClientScript()-&gt;render($out);
<span class="ln">349</span>         echo $out;
<span class="ln">350</span>     }
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#8			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/application/controllers/admin/quotas.php(598): <strong>Survey_Common_Action</strong>-&gt;<strong>_renderWrappedTemplate</strong>("quotas",
 array("newanswer_view"), array("surveyid" =&gt; "386321", "iSurveyId" 
=&gt; "386321", "sBaseLang" =&gt; "en", "aLangs" =&gt; array("en", 
"fr"), ...), false)				</div>

				<div class="code"><pre><span class="ln">593</span>      * @param array $aData Data to be passed on. Optional.
<span class="ln">594</span>      */
<span class="ln">595</span>     protected function _renderWrappedTemplate($sAction = 'quotas', $aViewUrls = array(), $aData = array(), $sRenderFile = false)
<span class="ln">596</span>     {
<span class="ln">597</span>         App()-&gt;getClientScript()-&gt;registerScriptFile(App()-&gt;getConfig('adminscripts').'quotas.js');
<span class="error"><span class="ln error-ln">598</span>         parent::_renderWrappedTemplate($sAction, $aViewUrls, $aData, $sRenderFile);
</span><span class="ln">599</span>     }
<span class="ln">600</span> 
<span class="ln">601</span> }
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#9			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/application/controllers/admin/quotas.php(422): <strong>quotas</strong>-&gt;<strong>_renderWrappedTemplate</strong>("quotas",
 array("newanswer_view"), array("surveyid" =&gt; "386321", "iSurveyId" 
=&gt; "386321", "sBaseLang" =&gt; "en", "aLangs" =&gt; array("en", 
"fr"), ...))				</div>

				<div class="code"><pre><span class="ln">417</span>         $aData['sidemenu']['state'] = false;
<span class="ln">418</span>         $aData['title_bar']['title'] = $oSurvey-&gt;currentLanguageSettings-&gt;surveyls_title." (".gT("ID").":".$iSurveyId.")";
<span class="ln">419</span>         $aData['surveybar']['closebutton']['url'] = 'admin/quotas/sa/index/surveyid/'.$iSurveyId; // Close button
<span class="ln">420</span>         $aData['surveybar']['closebutton']['forbidden'][] = 'new_answer';
<span class="ln">421</span> 
<span class="error"><span class="ln error-ln">422</span>         $this-&gt;_renderWrappedTemplate('quotas', $aViewUrls, $aData);
</span><span class="ln">423</span>     }
<span class="ln">424</span> 
<span class="ln">425</span>     public function newquota($iSurveyId)
<span class="ln">426</span>     {
<span class="ln">427</span>         $iSurveyId = sanitize_int($iSurveyId);
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#10			</td>
			<td class="content">
				<div class="trace-file">
										&nbsp;unknown(0): <strong>quotas</strong>-&gt;<strong>new_answer</strong>("386321", "new_answer")				</div>

							</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#11			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/framework/web/actions/CAction.php(109): <strong>ReflectionMethod</strong>-&gt;<strong>invokeArgs</strong>(quotas, array("386321", "new_answer"))				</div>

				<div class="code"><pre><span class="ln">104</span>             elseif($param-&gt;isDefaultValueAvailable())
<span class="ln">105</span>                 $ps[]=$param-&gt;getDefaultValue();
<span class="ln">106</span>             else
<span class="ln">107</span>                 return false;
<span class="ln">108</span>         }
<span class="error"><span class="ln error-ln">109</span>         $method-&gt;invokeArgs($object,$ps);
</span><span class="ln">110</span>         return true;
<span class="ln">111</span>     }
<span class="ln">112</span> }
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#12			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/application/core/Survey_Common_Action.php(83): <strong>CAction</strong>-&gt;<strong>runWithParamsInternal</strong>(quotas,
 ReflectionMethod, array("r" =&gt; 
"admin/quotas/sa/new_answer/surveyid/386321", "sa" =&gt; "new_answer", 
"surveyid" =&gt; "386321", "iSurveyId" =&gt; "386321", ...))				</div>

				<div class="code"><pre><span class="ln">78</span>             $oMethod = new ReflectionMethod($this, $sDefault);
<span class="ln">79</span>         }
<span class="ln">80</span> 
<span class="ln">81</span>         // We're all good to go, let's execute it
<span class="ln">82</span>         // runWithParamsInternal would automatically get the parameters of the method and populate them as required with the params
<span class="error"><span class="ln error-ln">83</span>         return parent::runWithParamsInternal($this, $oMethod, $params);
</span><span class="ln">84</span>     }
<span class="ln">85</span> 
<span class="ln">86</span>     /**
<span class="ln">87</span>      * Some functions have different parameters, which are just an alias of the
<span class="ln">88</span>      * usual parameters we're getting in the url. This function just populates
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#13			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/framework/web/CController.php(308): <strong>Survey_Common_Action</strong>-&gt;<strong>runWithParams</strong>(array("r"
 =&gt; "admin/quotas/sa/new_answer/surveyid/386321", "sa" =&gt; 
"new_answer", "surveyid" =&gt; "386321", "iSurveyId" =&gt; "386321", 
...))				</div>

				<div class="code"><pre><span class="ln">303</span>     {
<span class="ln">304</span>         $priorAction=$this-&gt;_action;
<span class="ln">305</span>         $this-&gt;_action=$action;
<span class="ln">306</span>         if($this-&gt;beforeAction($action))
<span class="ln">307</span>         {
<span class="error"><span class="ln error-ln">308</span>             if($action-&gt;runWithParams($this-&gt;getActionParams())===false)
</span><span class="ln">309</span>                 $this-&gt;invalidActionParams($action);
<span class="ln">310</span>             else
<span class="ln">311</span>                 $this-&gt;afterAction($action);
<span class="ln">312</span>         }
<span class="ln">313</span>         $this-&gt;_action=$priorAction;
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#14			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/framework/web/CController.php(286): <strong>CController</strong>-&gt;<strong>runAction</strong>(quotas)				</div>

				<div class="code"><pre><span class="ln">281</span>      * @see runAction
<span class="ln">282</span>      */
<span class="ln">283</span>     public function runActionWithFilters($action,$filters)
<span class="ln">284</span>     {
<span class="ln">285</span>         if(empty($filters))
<span class="error"><span class="ln error-ln">286</span>             $this-&gt;runAction($action);
</span><span class="ln">287</span>         else
<span class="ln">288</span>         {
<span class="ln">289</span>             $priorAction=$this-&gt;_action;
<span class="ln">290</span>             $this-&gt;_action=$action;
<span class="ln">291</span>             CFilterChain::create($this,$action,$filters)-&gt;run();
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#15			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/framework/web/CController.php(265): <strong>CController</strong>-&gt;<strong>runActionWithFilters</strong>(quotas, array())				</div>

				<div class="code"><pre><span class="ln">260</span>         {
<span class="ln">261</span>             if(($parent=$this-&gt;getModule())===null)
<span class="ln">262</span>                 $parent=Yii::app();
<span class="ln">263</span>             if($parent-&gt;beforeControllerAction($this,$action))
<span class="ln">264</span>             {
<span class="error"><span class="ln error-ln">265</span>                 $this-&gt;runActionWithFilters($action,$this-&gt;filters());
</span><span class="ln">266</span>                 $parent-&gt;afterControllerAction($this,$action);
<span class="ln">267</span>             }
<span class="ln">268</span>         }
<span class="ln">269</span>         else
<span class="ln">270</span>             $this-&gt;missingAction($actionID);
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#16			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/application/controllers/AdminController.php(158): <strong>CController</strong>-&gt;<strong>run</strong>("quotas")				</div>

				<div class="code"><pre><span class="ln">153</span>                     $this-&gt;redirect(array('/admin/authentication/sa/login'));
<span class="ln">154</span>                 }
<span class="ln">155</span>             }
<span class="ln">156</span>         }
<span class="ln">157</span> 
<span class="error"><span class="ln error-ln">158</span>         return parent::run($action);
</span><span class="ln">159</span>     }
<span class="ln">160</span> 
<span class="ln">161</span>     /**
<span class="ln">162</span>      * Routes all the actions to their respective places
<span class="ln">163</span>      *
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#17			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/framework/web/CWebApplication.php(282): <strong>AdminController</strong>-&gt;<strong>run</strong>("quotas")				</div>

				<div class="code"><pre><span class="ln">277</span>         {
<span class="ln">278</span>             list($controller,$actionID)=$ca;
<span class="ln">279</span>             $oldController=$this-&gt;_controller;
<span class="ln">280</span>             $this-&gt;_controller=$controller;
<span class="ln">281</span>             $controller-&gt;init();
<span class="error"><span class="ln error-ln">282</span>             $controller-&gt;run($actionID);
</span><span class="ln">283</span>             $this-&gt;_controller=$oldController;
<span class="ln">284</span>         }
<span class="ln">285</span>         else
<span class="ln">286</span>             throw new CHttpException(404,Yii::t('yii','Unable to resolve the request "{route}".',
<span class="ln">287</span>                 array('{route}'=&gt;$route===''?$this-&gt;defaultController:$route)));
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#18			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/framework/web/CWebApplication.php(141): <strong>CWebApplication</strong>-&gt;<strong>runController</strong>("admin/quotas/sa/new_answer/surveyid/386321")				</div>

				<div class="code"><pre><span class="ln">136</span>             foreach(array_splice($this-&gt;catchAllRequest,1) as $name=&gt;$value)
<span class="ln">137</span>                 $_GET[$name]=$value;
<span class="ln">138</span>         }
<span class="ln">139</span>         else
<span class="ln">140</span>             $route=$this-&gt;getUrlManager()-&gt;parseUrl($this-&gt;getRequest());
<span class="error"><span class="ln error-ln">141</span>         $this-&gt;runController($route);
</span><span class="ln">142</span>     }
<span class="ln">143</span> 
<span class="ln">144</span>     /**
<span class="ln">145</span>      * Registers the core application components.
<span class="ln">146</span>      * This method overrides the parent implementation by registering additional core components.
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#19			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/framework/base/CApplication.php(185): <strong>CWebApplication</strong>-&gt;<strong>processRequest</strong>()				</div>

				<div class="code"><pre><span class="ln">180</span>     public function run()
<span class="ln">181</span>     {
<span class="ln">182</span>         if($this-&gt;hasEventHandler('onBeginRequest'))
<span class="ln">183</span>             $this-&gt;onBeginRequest(new CEvent($this));
<span class="ln">184</span>         register_shutdown_function(array($this,'end'),0,false);
<span class="error"><span class="ln error-ln">185</span>         $this-&gt;processRequest();
</span><span class="ln">186</span>         if($this-&gt;hasEventHandler('onEndRequest'))
<span class="ln">187</span>             $this-&gt;onEndRequest(new CEvent($this));
<span class="ln">188</span>     }
<span class="ln">189</span> 
<span class="ln">190</span>     /**
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#20			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/lime25/limesurvey/index.php(194): <strong>CApplication</strong>-&gt;<strong>run</strong>()				</div>

				<div class="code"><pre><span class="ln">189</span> require_once APPPATH . 'core/LSYii_Application' . EXT;
<span class="ln">190</span> 
<span class="ln">191</span> $config = require_once(APPPATH . 'config/internal' . EXT);
<span class="ln">192</span> 
<span class="ln">193</span> Yii::$enableIncludePath = false;
<span class="error"><span class="ln error-ln">194</span> Yii::createApplication('LSYii_Application', $config)-&gt;run();
</span><span class="ln">195</span> 
<span class="ln">196</span> /* End of file index.php */
<span class="ln">197</span> /* Location: ./index.php */
</pre></div>			</td>
		</tr>
				</tbody></table>
	</div>

	<div class="version">
		2019-04-24 18:06:03 Apache/2.4.10 (Ubuntu) <a href="http://www.yiiframework.com/">Yii Framework</a>/1.1.21	</div>
</div>

<script type="text/javascript">
/*<![CDATA[*/
var traceReg = new RegExp("(^|\\s)trace-file(\\s|$)");
var collapsedReg = new RegExp("(^|\\s)collapsed(\\s|$)");

var e = document.getElementsByTagName("div");
for(var j=0,len=e.length;j<len;j++){
	if(traceReg.test(e[j].className)){
		e[j].onclick = function(){
			var trace = this.parentNode.parentNode;
			if(collapsedReg.test(trace.className))
				trace.className = trace.className.replace("collapsed", "expanded");
			else
				trace.className = trace.className.replace("expanded", "collapsed");
		}
	}
}
/*]]>*/
</script>



</body></html>
CException.html (30,859 bytes)   
dominikvitt

dominikvitt

2019-05-08 13:44

developer   ~51829

https://github.com/LimeSurvey/LimeSurvey/commit/74358f14ffa765627ca9d2752e71509a0440e7ae

c_schmitz

c_schmitz

2019-05-10 15:36

administrator   ~51873

4.0beta1 released

Issue History

Date Modified Username Field Change
2019-04-24 18:07 ollehar New Issue
2019-04-24 18:07 ollehar Status new => assigned
2019-04-24 18:07 ollehar Assigned To => dominikvitt
2019-04-24 18:07 ollehar File Added: CException.html
2019-05-08 13:44 dominikvitt Status assigned => resolved
2019-05-08 13:44 dominikvitt Resolution open => fixed
2019-05-08 13:44 dominikvitt Fixed in Version => 4.0.0dev
2019-05-08 13:44 dominikvitt Note Added: 51829
2019-05-10 15:36 c_schmitz Note Added: 51873
2019-05-10 15:36 c_schmitz Status resolved => closed
2019-11-01 17:25 c_schmitz Category Survey design => Survey editing